List the current user's active memberships

GET/auth/v1/memberships/active

Returns a paginated list of the organizations in which the authenticated user holds an active membership.

Authorization<token>

In: header

Query Parameters

limit?integer

Limit

offset?integer

Offset

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.ListMembershipsResponse",
  "$ref-value": {
    "properties": {
      "memberships": {
        "items": {
          "$ref": "#/components/schemas/authv1.Membership",
          "$ref-value": {
            "properties": {
              "id": {
                "type": "string"
              },
              "joined_at": {
                "type": "string"
              },
              "org_id": {
                "type": "string"
              },
              "organization_first_name": {
                "type": "string"
              },
              "organization_last_name": {
                "type": "string"
              },
              "organization_username": {
                "type": "string"
              },
              "role": {
                "type": "string"
              },
              "state": {
                "type": "string"
              },
              "user_id": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/active"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.ListMembershipsResponse",
  "$ref-value": {
    "properties": {
      "memberships": {
        "items": {
          "$ref": "#/components/schemas/authv1.Membership",
          "$ref-value": {
            "properties": {
              "id": {
                "type": "string"
              },
              "joined_at": {
                "type": "string"
              },
              "org_id": {
                "type": "string"
              },
              "organization_first_name": {
                "type": "string"
              },
              "organization_last_name": {
                "type": "string"
              },
              "organization_username": {
                "type": "string"
              },
              "role": {
                "type": "string"
              },
              "state": {
                "type": "string"
              },
              "user_id": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}